# The phdfs class

(phdfs >= 0.1.0)

## Introduction

## Class synopsis

phdfs {
/* Properties */
static $host ;
static $port ;
/* Methods */
public connect ( void ) : bool
public __construct ( string `$ip` , string `$port` )
public copy ( string `$source_file` , string `$destination_file` ) : bool
public create_directory ( string `$path` ) : bool
public delete ( string `$path` ) : bool
public __destruct ( void ) : void
public disconnect ( void ) : bool
public exists ( string `$path` ) : bool
public file_info ( string `$path` ) : array
public list_directory ( string `$path` [, int `$level` = 0 ] ) : array
public read ( string `$path` [, int `$length` = 0 ] ) : string
public rename ( string `$old_path` , string `$new_path` ) : bool
public tell ( string `$path` [, int `$read_length` = 1024 ] ) : int
public write ( string `$path` , string `$buffer` [, int `$mode` = 0 ] ) : bool
}

## Properties

host

port

## Table of Contents

- phdfs::connect — Description
- phdfs::__construct — Description
- phdfs::copy — Description
- phdfs::create_directory — Description
- phdfs::delete — Description
- phdfs::__destruct — Description
- phdfs::disconnect — Description
- phdfs::exists — Description
- phdfs::file_info — Description
- phdfs::list_directory — Description
- phdfs::read — Description
- phdfs::rename — Description
- phdfs::tell — Description
- phdfs::write — Description